package com.gh.gamecenter.message.provider

import android.content.Context
import androidx.lifecycle.MediatorLiveData
import androidx.lifecycle.MutableLiveData
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.utils.ToastUtils
import com.gh.gamecenter.feature.entity.MessageUnreadCount
import com.gh.gamecenter.feature.entity.MessageUnreadEntity
import com.gh.gamecenter.feature.provider.IMessageUnreadRepositoryProvider

@com.therouter.inject.ServiceProvider
class MessageUnreadRepositoryProviderImpl : IMessageUnreadRepositoryProvider {

    override fun loadMessageUnreadData() {
        ToastUtils.toast("调用->MessageUnreadRepositoryProviderImpl.loadMessageUnreadData")
    }

    override fun loadMessageUnreadTotal(isRecordData: Boolean) {
        ToastUtils.toast("调用->MessageUnreadRepositoryProviderImpl.loadMessageUnreadTotal")
    }

    override fun getUnreadLiveData(): MediatorLiveData<MessageUnreadEntity>? {
        ToastUtils.toast("调用->MessageUnreadRepositoryProviderImpl.getUnreadLiveData")
        return null
    }

    override fun getZixunConcernLiveData(): MutableLiveData<Boolean>? {
        ToastUtils.toast("调用->MessageUnreadRepositoryProviderImpl.getZixunConcernLiveData")
        return null
    }

    override fun getMessageUnreadCountLiveData(): MutableLiveData<MessageUnreadCount?>? {
        ToastUtils.toast("调用->MessageUnreadRepositoryProviderImpl.getMessageUnreadCountLiveData")
        return null
    }
}